<?php
/**
 * @author    JoomlaShine.com http://www.joomlashine.com
 * @copyright Copyright (C) 2008 - 2011 JoomlaShine.com. All rights reserved.
 * @license   GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */

	// No direct access
	defined('_JEXEC') or die('Restricted access');
	
	// Template attributes
	$jsn_template_attrs = array(
		'width' => array ('narrow', 'wide', 'float'),
		'textstyle' => array('business', 'personal', 'news'),
		'textsize' => array('small', 'medium', 'big'),
		'color' => array ('blue', 'red', 'green', 'violet', 'orange', 'grey'),
		'direction' => array ('ltr', 'rtl'),
		'specialfont' => array ('yes', 'no'),
		'mobile' => array ('yes', 'no'),
		'promoleftwidth' => 'integer',
		'promorightwidth' => 'integer',
		'leftwidth' => 'integer',
		'rightwidth' => 'integer',
		'innerleftwidth' => 'integer',
		'innerrightwidth' => 'integer',
		'preset' => array('default')
	);
	
	$jsn_textstyles_config = array(
		'business' => array(
			'font-a' => 'Arial, Helvetica, sans-serif',
			'font-b' => 'Verdana, Geneva, Arial, Helvetica, sans-serif',
			'font-s' => 'Nobile',
			'font-sw' => 'regular,bold',
			'size-small' => '65%',
			'size-medium' => '75%',
			'size-big' => '85%'
		),
		'personal' => array(
			'font-a' => '"Trebuchet MS", Helvetica, sans-serif',
			'font-b' => 'Georgia, serif',
			'font-s' => 'Lobster',
			'font-sw' => '',
			'size-small' => '70%',
			'size-medium' => '80%',
			'size-big' => '90%'
		),
		'news' => array(
			'font-a' => '"Times New Roman", Times, serif',
			'font-b' => '"Palatino Linotype", Palatino, serif',
			'font-s' => 'Droid+Serif',
			'font-sw' => 'regular,bold',
			'size-small' => '75%',
			'size-medium' => '85%',
			'size-big' => '95%'
		)
	);
	
	$jsn_font_b_elements = array(
		'h1', 'h2', 'h3', 'h4', 'h5', 'h6',
		'ul.menu-mainmenu a', 'ul.menu-mainmenu span',
		'.componentheading', '.contentheading'
	);

	// Definition whether to enable extended styles for extentions or not.
	$jsn_template_ext_styles = array('k2', 'cb', 'vm', 'jevents', 'jg');
	
	$jsn_mobile_positions = array('logo-m', 'content-top-m', 'user-top-m', 'user-bottom-m', 'banner-m', 'content-bottom-m', 'mainmenu-m', 'footer-m');
?>