<?php
/**
 * @author    JoomlaShine.com http://www.joomlashine.com
 * @copyright Copyright (C) 2008 - 2011 JoomlaShine.com. All rights reserved.
 * @license   GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */

	// No direct access
	defined('_JEXEC') or die('Restricted index access');
?>
	<a name="top" id="top"></a>
	<div id="jsn-page">
		<div id="jsn-header">
			<div id="jsn-mobiletools">
				<ul>
				<?php
					if ($show_desktop_switcher) {
				?>
					<li>
						<a id="jsn-desktopswitcher" href="<?php echo $jsnutils->addAttributeToURL('jsn_setmobile', 'no'); ?>"><span><?php echo JText::_('Desktop'); ?></span></a>
					</li>
				<?php
					}
				?>
				<?php if($this->countModules('mainmenu-m') || $this->countModules(@$position_mappings['mainmenu-m'])) { ?>
					<li>
						<a id="jsn-menujump" href="<?php echo $_SERVER['REQUEST_URI']; ?>#menu"><span><?php echo JText::_('Menu'); ?></span></a>
					</li>
				<?php } ?>
				</ul>
			</div>
			<div id="jsn-logo">
			<?php
				if ($enable_toph1) {
					echo '<h1 class="jsn-topheading">'.$site_name.' - '.$logo_slogan.'</h1>';
				}
			?>
			<?php
				if ($this->countModules('logo-m') || $this->countModules(@$position_mappings['logo-m'])) {
			?>
				<div id="jsn-pos-logo-m">
			<?php
					if ($this->countModules('logo-m') > 0) {
			?>
					<jdoc:include type="modules" name="logo-m" style="jsnmodule" />
			<?php
					}
					if ($this->countModules(@$position_mappings['logo-m'])) {
			?>
					<jdoc:include type="modules" name="<?php echo @$position_mappings['logo-m']; ?>" style="jsnmodule" />
			<?php
					}
			?>
				</div>
			<?php
				} else {
					if ($logo_link != '') {
						echo '<a href="'.$logo_link.'" title="'.$logo_slogan.'">';
					}
					if ($mobile_logo_path == '') {
						$mobile_logo_path = $template_path."/images/".($enable_colored_logo?"colors/$template_color/":'')."logo-m.png";
					}
			?>
				<img src="<?php echo $mobile_logo_path; ?>" alt="<?php echo $logo_slogan; ?>" />
				<?php
					if ($logo_link != '') {
						echo '</a>';
					}
				}
			?>
			</div>
		</div>
		<div id="jsn-body">
			<?php
				if ($this->countModules('content-top-m') > 0 || $this->countModules(@$position_mappings['content-top-m']) > 0) {
			?>
			<div id="jsn-content-top">
				<div id="jsn-pos-content-top-m" class="clearafter">
			<?php
					if ($this->countModules('content-top-m') > 0) {
			?>
					<jdoc:include type="modules" name="content-top-m" style="jsnmodule" class="jsn-triobox" />
			<?php
					}
					if ($this->countModules(@$position_mappings['content-top-m']) > 0) {
			?>
					<jdoc:include type="modules" name="<?php echo @$position_mappings['content-top-m']; ?>" style="jsnmodule" class="jsn-triobox" />
			<?php
					}
			?>
				</div>
			</div>
			<?php
				}
			?>
			<div id="jsn-content">
			<?php
				if ($this->countModules('breadcrumbs') > 0) {
			?>
				<div id="jsn-pos-breadcrumbs">
					<jdoc:include type="modules" name="breadcrumbs" />
				</div>
			<?php
				}
			?>
				<jdoc:include type="message" />
			<?php
				if ($this->countModules('user-top-m') > 0 || $this->countModules(@$position_mappings['user-top-m']) > 0) {
			?>
				<div id="jsn-pos-user-top-m">
			<?php
					if ($this->countModules('user-top-m') > 0) {
			?>
					<jdoc:include type="modules" name="user-top-m" style="jsnmodule" class="jsn-triobox" />
			<?php
					}
					if ($this->countModules(@$position_mappings['user-top-m'])) {
			?>
					<jdoc:include type="modules" name="<?php echo @$position_mappings['user-top-m']; ?>" style="jsnmodule" class="jsn-triobox" />
			<?php
					}
			?>
				</div>
			<?php
				}
			?>
			<?php
				if ($show_frontpage) {
			?>
				<div id="jsn-mainbody">
					<jdoc:include type="component" />
				</div>
			<?php
				}
			?>
			<?php
				if ($this->countModules('user-bottom-m') > 0 || $this->countModules(@$position_mappings['user-bottom-m']) > 0) {
			?>
				<div id="jsn-pos-user-bottom-m">
			<?php
					if ($this->countModules('user-bottom-m') > 0) {
			?>
					<jdoc:include type="modules" name="user-bottom-m" style="jsnmodule" class="jsn-triobox" />
			<?php
					}
					if ($this->countModules(@$position_mappings['user-bottom-m'])) {
			?>
					<jdoc:include type="modules" name="<?php echo @$position_mappings['user-bottom-m']; ?>" style="jsnmodule" class="jsn-triobox" />
			<?php
					}
			?>
				</div>
			<?php
				}
			?>
			<?php
				if ($this->countModules('banner-m') > 0 || $this->countModules(@$position_mappings['banner-m']) > 0) {
			?>
				<div id="jsn-pos-banner-m">
			<?php
					if ($this->countModules('banner-m') > 0) {
			?>
					<jdoc:include type="modules" name="banner-m" style="jsnmodule" />
			<?php
					}
					if ($this->countModules(@$position_mappings['banner-m'])) {
			?>
					<jdoc:include type="modules" name="<?php echo @$position_mappings['banner-m']; ?>" style="jsnmodule" />
			<?php
					}
			?>
				</div>
			<?php
				}
			?>
			<?php
				if ($enable_gotoplink) {
			?>
				<div id="jsn-gotop">
					<a id="jsn-gotoplink" href="<?php echo $_SERVER['REQUEST_URI']; ?>#top">
						<span><?php echo JText::_('GO_TO_TOP'); ?></span>
					</a>
				</div>
			<?php
				}
			?>
			</div>
			<?php
				if ($this->countModules('content-bottom-m') > 0 || $this->countModules(@$position_mappings['content-bottom-m']) > 0) {
			?>
			<div id="jsn-content-bottom">
				<div id="jsn-pos-content-bottom-m">
			<?php
					if ($this->countModules('content-bottom-m') > 0) {
			?>
					<jdoc:include type="modules" name="content-bottom-m" style="jsnmodule" class="jsn-triobox" />
			<?php
					}
					if ($this->countModules(@$position_mappings['content-bottom-m'])) {
			?>
					<jdoc:include type="modules" name="<?php echo @$position_mappings['content-bottom-m']; ?>" style="jsnmodule" class="jsn-triobox" />
			<?php
					}
			?>
				</div>
			</div>
			<?php
				}
			?>
		</div>
		<a name="menu" id="menu"></a>
		<?php
			if ($this->countModules('mainmenu-m') > 0 || $this->countModules(@$position_mappings['mainmenu-m']) > 0) {
		?>
		<div id="jsn-menu">
			<div id="jsn-pos-mainmenu-m">
			<?php
				if ($this->countModules('mainmenu-m') > 0) {
			?>
				<jdoc:include type="modules" name="mainmenu-m" style="jsnmodule" />
			<?php
				}
				if ($this->countModules(@$position_mappings['mainmenu-m'])) {
			?>
				<jdoc:include type="modules" name="<?php echo @$position_mappings['mainmenu-m']; ?>" style="jsnmodule" />
			<?php
				}
			?>
			</div>
		</div>
		<?php
			}
		?>
		<?php
			if ($this->countModules('footer-m') > 0 || $this->countModules(@$position_mappings['footer-m']) > 0) {
		?>
		<div id="jsn-footer">
			<?php
				if ($this->countModules('footer-m') > 0 || $this->countModules(@$position_mappings['footer-m']) > 0) {
			?>
			<div id="jsn-pos-footer-m">
			<?php
					if ($this->countModules('footer-m') > 0) {
			?>
				<jdoc:include type="modules" name="footer-m" style="jsnmodule" />
			<?php
					}
					if (@$position_mappings['footer-m']) {
			?>
				<jdoc:include type="modules" name="<?php echo @$position_mappings['footer-m']; ?>" style="jsnmodule" />
			<?php
				}
			?>
			</div>
			<?php
				}
			?>
		</div>
		<?php
			}
		?>
	</div>