<?php
/**
Template Name: Our Products
**/
?>
<?php get_header(); ?>

<div id="main-container">
    <?php while ( have_posts() ) : the_post(); ?>	
    <div class="wrap">
    
        <div class="page-header">
        <h1 class="title"><?php the_title(); ?></h1>
        </div>
        
        <aside class="side-nav">
        <?php wp_nav_menu( array('menu' => 'Products Navigation' )); ?>
            
            
		<?php
        
            if ( has_post_thumbnail() ) {
                echo '<div class="image-wrap">';
                the_post_thumbnail();
                echo '</div>';
            }
            else {
                echo '&nbsp;';
            }
        
        ?>
        </aside>
        
        <div class="main"> 
            <?php the_content(); ?>
        </div>
               
    </div>
    <?php endwhile;  ?>
</div>


<?php get_footer(); ?>