<?php
/**
 * The template for displaying Category Archive pages.
 *
 * @package WordPress
 * @subpackage 
 */

get_header(); ?>


<div id="main-container">
<div class="wrap">

    
    
    <div class="page-header">
    <h1 class="title"><?php single_cat_title( '', true ); ?></h1>
    </div>
    
    <aside class="side-nav">
    <div class="image-wrap">
        <img src="<?php echo get_template_directory_uri(); ?>/assets/img/testimonial-icon.png">
    </div>
    </aside>
    
    <div class="main"> 
    <div class="testimonial">
                     
          <?php while ( have_posts() ) : the_post(); ?>    
          
          <article class="testimonial-post">
          <?php if ( has_post_thumbnail()) : ?>
          <div class="thumb">
          <?php the_post_thumbnail('thumbnail'); ?>
		  </div>
          <?php endif; ?>
          <div class="content">
          <?php the_content(); ?>
          </div>
          </article>
                        
          <?php endwhile;  ?>
  
                        
    </div>
    </div>
    
              
</div>
</div>


<?php get_footer(); ?>