<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    
    <?php if (is_search()) { ?>
    <meta name="robots" content="noindex, nofollow" /> 
    <?php } ?>
    
    <title>
		<?php bloginfo('name'); ?>
        <?php wp_title('|'); ?>
    </title>
    <link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/assets/img/favicon.ico">
    <!-- Bootstrap -->
    <link href="<?php echo get_template_directory_uri(); ?>/assets/css/bootstrap.min.css" rel="stylesheet" media="screen">
    <link href="<?php echo get_template_directory_uri(); ?>/assets/css/fonts.css" rel="stylesheet" media="screen">
    <link href="<?php echo get_template_directory_uri(); ?>/assets/css/global.css" rel="stylesheet" media="screen">
    <link href="<?php echo get_template_directory_uri(); ?>/assets/css/jquery.selectbox.css" rel="stylesheet" media="screen">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
    <script src="<?php echo get_template_directory_uri(); ?>/assets/js/vendor/html5.js"></script>
    

  </head>
  <body>
  
  <div id="wrapper">
  
  		<header class="main">
        	<div class="wrap">
        	<div class="logo"><a href="<?php bloginfo('url'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/assets/img/logo.png"></a></div>
            <nav class="main-nav">
                <?php wp_nav_menu( array('menu' => 'Main Navigation' )); ?>
            </nav>
            </div>
        </header>
        
        <div id="main-container">
  
  

