<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 */
?>
<?php get_header(); ?>


<div id="welcome">
    <div class="wrap">
    <h1>Natural &amp; Honest</h1>
    <p>The purest, freshest natural beauty oils sourced directly from producers <br/>from around the world and delivered straight to you</p>
    </div>
</div>

<div id="highlight-wrap">
    <div class="col">
        <div class="image"><a href=""><img src="<?php echo get_template_directory_uri(); ?>/assets/img/landing/about_1.png"></a></div>
        <div class="content">
        <h1>OUR PRODUCTS</h1>
        <p>We travel the world to bring you a collection of natural beauty oils, and a product line ranging from pure oils to natural soaps and lotions. With Angel Naturelle, you can embrace the natural cosmetics trend!</p>
        </div>
    </div>
    <div class="col">
        <div class="image"><a href=""><img src="<?php echo get_template_directory_uri(); ?>/assets/img/landing/about_2.png"></a></div>
        <div class="content">
        <h1>ABOUT US</h1>
        <p>We are committed to providing honest service and giving you all-natural, organic, eco-friendly products.</p>
        </div>
    </div>
    <div class="col">
        <div class="image"><a href=""><img src="<?php echo get_template_directory_uri(); ?>/assets/img/landing/about_3.png"></a></div>
        <div class="content">
        <h1>ANGEL ENTREPRENEURS</h1>
        <p>We are passionate about entreprenership and we source directly from small businesses and producers as well as creating income-earning opportunities for our partners. Find out how you can become an Angel Entrepreneur!</p>
        </div>
    </div>
    <div class="col">
        <div class="image"><a href=""><img src="<?php echo get_template_directory_uri(); ?>/assets/img/landing/about_4.png"></a></div>
        <div class="content">
        <h1>BLOG</h1>
        <p>Keep up to date on the latest natural beauty trends and join our natural beauty community.</p>
        </div>
    </div>
</div>  
        

<?php get_footer(); ?>